Last Comment Bug 726259 - bookmarks toolbar top border
: bookmarks toolbar top border
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Theme (show other bugs)
: 11 Branch
: All Windows 7
: -- trivial (vote)
: Firefox 13
Assigned To: Joshua M [:soapy]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 20:32 PST by yang.pohsiang
Modified: 2012-03-26 10:47 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Firefox Bug.png (981.54 KB, image/png)
2012-02-10 20:32 PST, yang.pohsiang
no flags Details
Patch v1 (1.83 KB, patch)
2012-02-17 04:23 PST, Joshua M [:soapy]
dao+bmo: review+
Details | Diff | Splinter Review
Patch v2 (1.83 KB, patch)
2012-02-17 23:10 PST, Joshua M [:soapy]
dao+bmo: review+
Details | Diff | Splinter Review

Description yang.pohsiang 2012-02-10 20:32:08 PST
Created attachment 596266 [details]
Firefox Bug.png

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120201153158

Steps to reproduce:

Condition: bookmarks toolbar only, and tabs on top, in window mode.


Actual results:

 It has no border on the top of bookmarks toolbar, and make the bookmarks item cut (1px).



Expected results:

It should like the appearance in maxmized window. I consider it is a appearance bug.
Comment 1 Jared Wein [:jaws] (please needinfo? me) 2012-02-15 22:10:39 PST
This should be fixed by the patch in bug 727650.
Comment 2 Joshua M [:soapy] 2012-02-17 04:23:01 PST
Created attachment 598202 [details] [diff] [review]
Patch v1
Comment 3 Dão Gottwald [:dao] 2012-02-17 04:43:03 PST
Comment on attachment 598202 [details] [diff] [review]
Patch v1

nit: [tabsontop=true] instead of [tabsontop="true"]

I'd also prefer if you left :not([customizing]) on #nav-bar rather than #navigator-toolbox.
Comment 4 Joshua M [:soapy] 2012-02-17 23:10:05 PST
Created attachment 598501 [details] [diff] [review]
Patch v2
Comment 5 Dão Gottwald [:dao] 2012-02-18 01:50:08 PST
Comment on attachment 598501 [details] [diff] [review]
Patch v2

Thanks!
Comment 7 Ed Morley [:emorley] 2012-02-20 10:23:07 PST
https://hg.mozilla.org/mozilla-central/rev/841f33bf35ef

Note You need to log in before you can comment on or make changes to this bug.